
TYPO3.Fluid - Feature # 10821

Status: Resolved Priority: Should have
Author: Tolleiv Nietsch Category: ViewHelpers
Created: 2010-11-15 Assigned To: Bastian Waidelich
Updated: 2010-11-30 Due date:
Has patch:
Subject: add possibility to output FlashMessageQueue
Description

It seems that there's no way to output the FlashMessageQueue in a extbase driven be-module.

The attached patch adds a simple ViewHelper which outputs the queue.

It would be good if this could be included into 4.5 beta1 because I'd like to make use of it within the new workspace module.

History
#1 - 2010-11-16 11:51 - Steffen Ritter

+1 reading and testing,
but If sb. would have the time, I would prefer to use the already in place FlashMessage ViewHelper and behave different in case of TYPO3_MODE==
BE or FE.

regards

Steffen

#2 - 2010-11-18 14:13 - Bastian Waidelich
- Tracker changed from Bug to Feature
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#3 - 2010-11-18 14:13 - Bastian Waidelich
- Category set to ViewHelpers
- Branch set to v4

#4 - 2010-11-25 16:46 - Bastian Waidelich
- File 10821_extbase_v2.patch added
- File 10821_fluid_v2.patch added

Attached patches extend Extbase and the FlashMessage ViewHelper of Fluid in order to use the t3lib_FlashMessageQueue.
To stay backwards compatible, the FlashMessage will render an unordered list with the messages as simple string by default. If you want it to output
them in the TYPO3 core format, use the optional argument "renderMode":

<f:renderFlashMessages renderMode="div" />
#5 - 2010-11-30 16:51 - Tolleiv Nietsch

+1 by reading and testing the v2 patches :)

#6 - 2010-11-30 17:13 - Bastian Waidelich

Thanks Tolleiv, it's already committed ;)

#7 - 2010-11-30 17:13 - Bastian Waidelich
- Status changed from Accepted to Resolved

Applied in changeset r3063

Files
v1.patch 3.7 kB 2010-11-15 Tolleiv Nietsch
10821_extbase_v2.patch 6.9 kB 2010-11-25 Bastian Waidelich
10821_fluid_v2.patch 3 kB 2010-11-25 Bastian Waidelich
